Welcome to Driver Magician

Thank you for using Driver Magician

Driver Magician is an easy-to-use and powerful tool for device drivers backup, restoration and update in Windows operation system. It identifies all the hardware in the system, extracts their associated drivers from the hard disk and backs them up to a location of your choice. Then when you format and reinstall/upgrade your operating system, you can restore all the "saved" drivers just as if you had the original driver diskettes in your hands. After one system reboot, your PC will be loaded and running with the required hardware drivers.

What's more, Driver Magician has a built in database of the latest drivers with the ability to go to the Internet to receive the updates. It saves lots of time to find the correct drivers and mature drivers will obviously increase the performance of hardware. If there are unknown devices in your PC, Driver Magician helps you to detect them easily and quickly with its built in hardware identifier database. Moreover, Driver Magician can back up and restore more items such as registry, My Documents and desktop.

Features

Back up device driver files of your computer easily and quickly.
Restore device drivers from backup easily and quickly.
Update device drivers easily and quickly.
Live Update device identifier database and driver update database.
Detect unknown devices.
Back up more items such as My Documents and Registry.
Restore more items from backup.


License

END-USER LICENSE AGREEMENT FOR THIS SOFTWARE

IMPORTANT NOTICE
Read this License Agreement carefully before using this Software. BY USING THIS SOFTWARE IN ANY WAY YOU ACKNOWLEDGE THAT YOU HAVE READ, UNDERSTAND AND AGREE TO THE TERMS OF THIS AGREEMENT. IF YOU DO NOT AGREE TO THESE TERMS, DO NOT USE THIS SOFTWARE IN ANY WAY, AND PROMPTLY RETURN IT OR DELETE ANY COPIES OF THIS SOFTWARE IN YOUR POSSESSION.

LICENSE GRANT
GoldSolution Software grants you a non-exclusive license to use this software, and any associated documentation ("The Software"), as indicated herein. If you have purchased a Single User License, one copy of the Software may be installed and used, for internal use only, on a single computer. The Software is in "use" on a single computer when it has been loaded into temporary memory (i.e. RAM) or installed into permanent memory (hard disk or other device) of that computer. If you have purchased a Multiple User License (you specified several copies of the software when you purchased it), the Software may be installed and used, for internal purposes only, on the number of computers authorized at the time of purchase.

You MAY: (a) If you are a REGISTERED user you are entitled to distribute all the flash, exe, screensaver you make for commercial purpose; (b) make a copy of the software for archival purpose only; (c) install the Software on another computer only if you change of workstation. In such a case you must uninstall the software from the previous workstation.

RESTRICTIONS
You MAY NOT: (a) copy and distribute the Software or any portion of it; (b) sublicense, lease, rent, or transfer this Software to another; (c) cause or permit reverse engineering, disassembly, decompilation or alteration of this Software; (d) remove any product identification, copyright notices, or other notices or proprietary restrictions from this Software; (e) copy the documentation accompanying the software.

TERM
This License is effective until terminated. You may terminate it at any time by destroying the Software, together with all copies thereof. This License will also terminate if you fail to comply with any term or condition of this Agreement. Upon such termination, you agree to destroy the Software, together with all copies thereof.

COPYRIGHT/OWNERSHIP
This Software and its source code are proprietary products of GoldSolution Software and are protected by copyright and other intellectual property laws. The Software is licensed and not sold. You acquire only the right to use the Software and do not acquire any rights, express or implied, in the Software other than those specified in this License.

DISCLAIMER OF WARRANTIES
The Software is supplied "AS IS". GoldSolution Software disclaims all warranties, expressed or implied, including, without limitation, the warranties of merchantability and of fitness for any purpose. The user must assume the entire risk of using the Software.

DISCLAIMER OF DAMAGES
GoldSolution Software assumes no liability for damages, direct or consequential, which may result from the use of the Software, even if GoldSolution Software has been advised of the possibility of such damages. Any liability of the seller will be limited to refund the purchase price.


System requirements

Before installing Driver Magician, it is necessary that your system includes the following components:

  • Pentium 166MHz or greater
  • Windows© 98, SE, ME, 2000, XP or 2003
  • 32 MB of available RAM (64 MB recommended) plus 5 MB of available disk space for installation.


Installation

Simply double-click the Setup program and the installation is automatic.
The Setup program will issue a number of prompts. Unless you have a reason to override the defaults it is strongly recommended that you accept the default installation settings (just press OK, Yes, or Next, as appropriate).


Starting Driver Magician

After you install Driver Magician on your computer, an application icon is placed on the desktop and in the Start menu.

To start Driver Magician, do one of the following:
Double-click the Driver Magician icon on the desktop.
Click Start | Programs, and select Driver Magician.


Uninstallation

There are two ways to uninstall Driver Magician if you wish to do so.
Control Panel
Activate the Control Panel, double-click Add/Remove Programs, and double-click the Driver Magician list box entry.
Start Menu
From the Start menu, click Programs, then Driver Magician, and then Uninstall Driver Magician.


Back Up Drivers

You can back up device drivers of your computer easily and quickly!

Driver Magician goes directly to driver backup function window after it runs. And a list of Non-Microsoft device drivers with some information about each of them shows in the listview. Click any device, more detailed information of the selected device will show in the textbox.

You can also click the backup button and its submenu to retrieve a list of Non-Microsoft or all device drivers of your PC.

The difference between 'Search All Drivers' and 'Search Non-Microsoft drivers' is that the former one searches all device drivers including those packaged within Microsoft Windows operating system while the latter one only searches drivers not contained in Windows. Because device drivers which are contained in Windows operating system are automatically installed when detected by it, so it is NOT necessary to back them up. To let you distinguish Microsoft provided drivers and Non-Microsoft provided drivers easily, the latter ones are in red font.

Driver files can be backed up in folders, in a compressed file, in a self-extractor or even in an auto-setup package . You should open the options window and select the backup mode before you start to back up drivers. Then select the device drivers you want to back up and click "Start Backup" button, a dialog box will appear and let you select the directory to save your backup. After that, driver backup process begins and the selected device drivers will be backed up to the directory of your choice.


Restore Drivers

You can restore device drivers of your computer from backup easily and quickly!

If Driver files are backed up in folders, in a compressed file or in a self-extractor, please click the Options button in the toolbar and select the restoration mode you want. Then, click 'Restore' button in the toolbar and the program switches to driver restoration function. A dialog box appears and asks where is your driver backup. After selecting the backup directory or file, a list of Non-Microsoft device drivers you have backed up shows in the listview with some information about each of them. Click any device, more detailed information of the selected device will show in the textbox.

You can also click the submenu of 'Restore' button to retrieve a list of Non-Microsoft or all device drivers you have backed up.

The difference between 'Show All Backed-Up Drivers' and 'Show Backed-Up Non-Microsoft drivers' is that the former one shows all device drivers in the backup directory including those packaged within Microsoft Windows operating system while the latter one only shows drivers not contained in Windows. Because device drivers which are contained in Windows operating system are automatically installed when detected by it, so it is NOT necessary to restore them. To let you distinguish Microsoft provided drivers and Non-Microsoft provided drivers easily, the latter ones are in red font.

Select the device drivers you want to restore, then click 'Start Restore' button, driver restoration process begins. After it finishes you may prompt to reboot your machine.

If driver files are backed up in an auto-setup package, you can run the package like installing a software without installing Driver Magician first. Just click 'Install' button, driver files will be automatically installed into your computer.


Update drivers

Most hardware manufacturers recommend you download the latest official (non beta) drivers on a regular basis to keep your computer running correctly. Driver Magician has a built in database of the latest drivers, therefore it greatly simplifies the process of driver update and saves you lots of time to find the correct drivers.

To begin to update drivers:

  • Click Update/Driver update in the menu bar, or click the 'Update' button in the toolbar, the 'Update drivers' window appears.

  • Wait a moment, all available driver updates will show in the list box.

  • Select the device driver you want to upgrade and click the 'Download' button, the latest driver updates will be downloaded and saved in the location of your choice.

  • Install the downloaded drivers and your PC will be loaded with the latest drivers.


LiveUpdate

LiveUpdate automates the process of obtaining and installing Driver Magician updates. It locates and obtains files from the Internet site of GoldSolution Software, installs them, and then deletes the leftover files from your computer.

To begin to Liveupdate:

  • Click Update/Database LiveUpdate in the menu bar, or click the 'LiveUpdate' button in the toolbar, the 'Liveupdate' window appears.

  • Click the 'Next' button and available updates of installed components will show in the list box.

  • Click the 'Next' button, Driver Magician will download the latest updates and install them automatically.


Options

Driver files can be backed up in folders, in a compressed file, in a self-extractor or even in an auto-setup package, and they can be restored from these modes too. You should set driver backup and restoration mode before starting to back up and restore driver files. If driver files are backed up in a compressed file, in a self-extractor or in an auto-setup package, you can select compression level too.

Click Tools/Options in the menu bar or click 'Options' button in the toolbar, the 'Options' window appears.

Select the first option 'Back up drivers to folders', you can back up drivers to folders, each folder name is the device name with drivers of the device backed up in the folder.

Select the second option 'Back up drivers to a compressed file', you can back up all drivers to a file named as "MyDrivers.bck".

Select the third option 'Back up drivers to a self-extractor(.EXE)', you can back up all drivers to a file named as "MyDrivers.exe". Double click the file, all drivers which are backed up will be extracted to a folder automatically.

Select the last option 'Back up drivers to an auto-setup package(.EXE)', all drivers will be backed up to a file named as "DriverAutoSetup.exe", double click the file, you can restore drivers automatically without installing Driver Magician first.


More Backup

You can back up more items of your computer easily and quickly!

Fist, click Tools/More backup and restoration in the menu bar and a window with more backup and restoration function appears.

The more Backup and restoration window goes directly to function of backing up more items after it runs. More items which can be backed up include My Documents, desktop, registry and Internet Explorer favorite folder. Select the items you want to back up by clicking the checkbox before each one or just clicking the 'Select All' button, then click 'Start Backup' button, a dialog box will appear and let you select the directory to save your backup. After that, backup process begins and the selected items will be backed up to the directory of your choice.


More Restore

More Restoration

You can restore more items of your computer from backup easily and quickly!

Fist, , click Tools/More backup and restoration in the menu bar and a window with more backup and restoration function appears. Click 'More Restore' button, a dialog box appears and asks where your backup is saved. After selecting the backup directory, a list of items which you have backed up will shows in the listview.

Select the items you want to restore from backup by clicking the checkbox before each one or just clicking the 'Select All' button and click 'Start Restore' button, restoration process begins and the selected items will be restored to your computer.


Detect unknown devices

When you view device information in Device Manager, you may see a device listed as Unknown Device next to a yellow question mark. It may be hard to determine the cause of this unknown device, because there are few indications of what generates it.

Driver Magician helps you detect unknown devices easily and quickly. Its database contains hardware identities of about 20,000 devices.

Click Tool/Detect unknown devices in the menu bar, 'Unknown device detector' window appears. Wait for a while, a list of PCI and AGP devices in your computer with their corresponding class will show in the listview.

Click any device, and the detailed information about its chip and vendor will show in the textbox below it.


Frequently Asked Questions

FAQ about use of Driver Magician

1. What's the difference between "Search All Drivers" and "Search Non-Microsoft drivers" submenu of Backup button in the toolbar?
We all know that every Windows operating system is distributed with a lot of device drivers packaged in it. So the difference between "Search All Drivers" and "Search Non-Microsoft drivers" is that the former one searches all device drivers including those packaged within Microsoft Windows operating system while the latter one only searches drivers not contained in Windows. Because device drivers which are contained in Windows operating system are automatically installed when detected by it, so it is NOT necessary to back them up. To let you distinguish Microsoft provided drivers and Non-Microsoft provided drivers easily, the latter ones are in red font. .

2. What's the difference between "Show All Backed-Up Drivers" and "Show Backed-Up Non-Microsoft drivers" submenu of Restore button in the toolbar?
This question is the same as question one. The difference is that the former one shows all device drivers in the backup directory including those packaged within Microsoft Windows operating system while the latter one only shows drivers not contained in Windows.

3. What happens when I take the option to 'Restore'? Does it know where to place the files, or does it run any 'Setup.exe' program it may find?
Driver Magician can restore driver from driver backup without any 'setup.exe' program. Each device driver has an installation file (you can find it in each folder of device driver backup with name as *.inf), it tells any driver setup program where to place each driver file, so Driver Magician simulates driver setup program and extracts information from the installation files to restore drivers to your machine.

4. Driver version of some device drivers is null, why?
Because installation files of these drivers don't include the driver version, so Driver Magician can't extract it. This often happens in Windows 98 and Windows Me.

5. During the driver restoration process, why does my computer seem to be no responses?
Device driver is in the lower layer of operating system, so during driver installation, settings of Windows operating system change according to the drivers installed, it leads to no responses of system.

6. After Driver Magician runs, I find there is no driver in the listview, what happens?
Driver Magician goes directly to driver backup function window after it runs and all the Non-Microsoft drivers will show in the listview. If all the device drivers of your computer are provided by Microsoft, the listview is blank. This usually happens after you format and reinstall operating system just now. To show all the device drivers in your computer, please click the "Search All Drivers" submenu of backup button in the toolbar.

7. I have backed up drivers of Windows 98 operating system, can I use it in Windows 2000 or Windows XP?
Some device drivers can be used in all Windows operating systems, but there are lots of device drivers which can only be use in certain operating systems, so if you are not sure please don't try to use drivers of one operating system in others.

8. When I restore device drivers of my computer using Driver Magician in Windows 98/Me, Windows prompts me to insert driver disk, what happens?
You don't need to insert driver disk, please just click the OK button in the prompt dialog, if the same dialog appears again, just click the Ignore button. But when it prompt you to insert Windows CD-ROM, you should insert it. If you find your audio card is mute after driver restoration, please reboot your machine again and it will be OK. This happens only in Windows 98/Me operating system. Since they are old in all of Microsoft Windows operating systems, something is special.

9. When I restore device drivers in Windows XP, a "Find new hardware wizard" window appears, what should I do?
You don't need to do anything, just let it be. After drivers of the found hardware are restored, the "Find new hardware wizard" window will automatically disappear.

10. After I have downloaded and installed the drivers Driver Magician informed me to update, it still informed me to update the same driver, is it a bug of Driver Magician?
Driver Magician determines driver update by checking the driver release date of the same devices in your PC and in driver update database. If it finds the driver release date of certain device in the driver update database is later than the one in your PC, it will inform you to update the new driver. But some driver packages contain drivers of several devices and the release date of these devices driver are not the same, such as VIA Hyperion 4-IN-1 driver and Intel Chipset Software Installation Utility, it is impossible to give the release date of each device in such driver package. so Driver Magician sometime will inform you to update the driver even after you installed the updated one.

FAQ about registration of Driver Magician

1. Is my online order form secure?
Yes, it is 100% secure.

2. Do I have to pay for the upgrades?
No! All upgrades are free to registered Driver Magician users.

3. Is tech support free?
Yes, it's free for all.

4. I have entered the registration code, however the software reminds it's unregistered, why?
Perhaps you have entered a wrong registration code or name. Please check your name and registration code carefully and make sure they are exactly the same as you received from the author or an authorized reseller.

If you have any other questions please feel free to contact us at support@drivermagician.com


Registration benefits
  • Remove reminder window
  • Driver files can be backed up to an auto-setup package and you can restore all drivers like installing a software without installing Driver Magician first
  • FREE lifetime upgrades
  • Priority technical support
  • Keep informed of new version


How to Purchase

This is not a free software. You can use this software for evaluation purposes only for a period of 15 days. After that time you should purchase it if you want to use it furthermore.

Driver Magician costs only $29.95 per license.
For site license please contact sales@drivermagician.com
Please choose one of the payment options you like. You will get your registration code within 24 hours.

1. Purchase through RegSoft.com

2. Purchase through Paypal

3. Purchase through Qwerks.com

For more information about order, visit our web site:
http://www.drivermagician.com


How to register

After you get the registration code from the author or an authorized reseller, you can unlock the trial version.

  1. Click Help/Register in the menu bar, the 'Register' window appears.

  2. To avoid typing error, copy and paste your registration name and registration code into respective textbox.

  3. Click 'OK' button and a message box with 'Register successfully!' will pop up if your registration information is valid.


Contacts

Technical Support: support@drivermagician.com
 Bug report: bug@drivermagician.com
Sales and Register: sales@drivermagician.com
Reseller, Redistribution: distribute@drivermagician.com

For more information, please visit our Web site at:
http://www.drivermagician.com


Microsoft HTML Help Compiler 4.74.8702

Compiling c:\WINDOWS\Desktop\×îÐÂÎÄ¼þ\×îÐÂ°ïÖú(wanceng)\Help.chm

HHC5003: Error: Compilation failed while compiling help.chm.
HELP.HHC
HELP.HHK
Help.HHP
Welcome to Driver Magician.htm
Contacts\Contact us.htm
Frequently Asked Questions\FAQ.htm
Getting Started\Installation.htm
Getting Started\Starting Driver Magician.htm
Getting Started\System requirements.htm
Getting Started\Uninstallation.htm
License\License.htm
PIC\backup list.jpg
PIC\backupbutton.jpg
PIC\more backup window.jpg
PIC\more restore.jpg
PIC\restorebutton.jpg
PIC\Thumbs.db
Purchasing\How to Purchase.htm
Using Driver Magician\Back Up Drivers.htm
Using Driver Magician\More Backup.htm
Using Driver Magician\More Restore.htm
Using Driver Magician\Restore Drivers.htm

The following files were not compiled:
help.chm